# Interface IntegerType

All Superinterfaces:
  `Mirror, PrimitiveType, Type`

public interface IntegerType extends PrimitiveType
The type of all primitive `int` values accessed in the target VM. Calls to `Value.type()` will return an implementor of this interface.

Since:
  1.3
See Also:
  - `IntegerValue`

- ## Method Summary

  ### Methods declared in interface Mirror

  `toString, virtualMachine`

  ### Methods declared in interface Type

  `name, signature`